### Hierarchy

- AbstractMap
  - OpenStreetMap

## Index

### Constructors

- constructor

### Properties

- defaultMarkerIcon
- defaultSelectedMarkerIcon
- defaultZoom
- markerIcon
- markers
- maxZoom
- minZoom
- selectedMarkerIcon
- spec

### Methods

- activateMarker
- addMarkersToForm
- deactivateMarker
- getCenter
- getMarkerIconSrc
- getSelectedMarkerIconSrc
- getZoom
- includeScripts
- init
- initMap
- initMarkerIcons
- initMarkers
- render
- resetAllMarkers
- setLabel
- setMarkersToValue
- wrapper
- getMarkersFromSrc

## Constructors

### constructor

- new OpenStreetMap(spec: ISpecification): OpenStreetMap

- Overrides AbstractMap.constructor

  - Defined in lib/renderable/map/osm/index.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns OpenStreetMap

## Properties

### defaultMarkerIcon

defaultMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/red-dot.png"

Inherited from AbstractMap.defaultMarkerIcon

- Defined in lib/renderable/map/AbstractMap.ts:16

### defaultSelectedMarkerIcon

defaultSelectedMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/blue-dot.png"

Inherited from AbstractMap.defaultSelectedMarkerIcon

- Defined in lib/renderable/map/AbstractMap.ts:17

### defaultZoom

defaultZoom: 8 = 8

Overrides AbstractMap.defaultZoom

- Defined in lib/renderable/map/osm/index.ts:16

### Private Optional markerIcon

markerIcon: L.Icon

- Defined in lib/renderable/map/osm/index.ts:10

### Private markers

markers: Array<Marker> = []

- Defined in lib/renderable/map/osm/index.ts:12

### maxZoom

maxZoom: 18 = 18

Overrides AbstractMap.maxZoom

- Defined in lib/renderable/map/osm/index.ts:14

### minZoom

minZoom: 0 = 0

Overrides AbstractMap.minZoom

- Defined in lib/renderable/map/osm/index.ts:15

### Private Optional selectedMarkerIcon

selectedMarkerIcon: L.Icon

- Defined in lib/renderable/map/osm/index.ts:11

### spec

spec: ISpecification

Inherited from AbstractMap.spec

- Defined in lib/renderable/map/AbstractMap.ts:10

## Methods

### activateMarker

- activateMarker(marker: Marker): void

- - Defined in lib/renderable/map/osm/index.ts:85

  #### Parameters

  - ##### marker: Marker

  #### Returns void

### addMarkersToForm

- addMarkersToForm(wrapper: INode, selectedMarkers: Array<any>): void

- Inherited from AbstractMap.addMarkersToForm

  - Defined in lib/renderable/map/AbstractMap.ts:88

  #### Parameters

  - ##### wrapper: INode

  - ##### selectedMarkers: Array<any>

  #### Returns void

### deactivateMarker

- deactivateMarker(marker: Marker): void

- - Defined in lib/renderable/map/osm/index.ts:80

  #### Parameters

  - ##### marker: Marker

  #### Returns void

### getCenter

- getCenter(): WayPoint

- Inherited from AbstractMap.getCenter

  - Defined in lib/renderable/map/AbstractMap.ts:41

  #### Returns WayPoint

### getMarkerIconSrc

- getMarkerIconSrc(): string

- Inherited from AbstractMap.getMarkerIconSrc

  - Defined in lib/renderable/map/AbstractMap.ts:31

  #### Returns string

### getSelectedMarkerIconSrc

- getSelectedMarkerIconSrc(): string

- Inherited from AbstractMap.getSelectedMarkerIconSrc

  - Defined in lib/renderable/map/AbstractMap.ts:32

  #### Returns string

### getZoom

- getZoom(): number

- Inherited from AbstractMap.getZoom

  - Defined in lib/renderable/map/AbstractMap.ts:34

  #### Returns number

### includeScripts

- includeScripts(scripts: Array<string>): Promise<unknown>

- Inherited from AbstractMap.includeScripts

  - Defined in lib/renderable/map/AbstractMap.ts:97

  #### Parameters

  - ##### scripts: Array<string>

  #### Returns Promise<unknown>

### init

- init(wrapper: INode): HTMLElement

- Overrides AbstractMap.init

  - Defined in lib/renderable/map/osm/index.ts:22

  #### Parameters

  - ##### wrapper: INode

  #### Returns HTMLElement

### initMap

- initMap(wrapper: INode): Map

- - Defined in lib/renderable/map/osm/index.ts:29

  #### Parameters

  - ##### wrapper: INode

  #### Returns Map

### initMarkerIcons

- initMarkerIcons(): void

- - Defined in lib/renderable/map/osm/index.ts:90

  #### Returns void

### initMarkers

- initMarkers(wrapper: INode, map: Map): void

- - Defined in lib/renderable/map/osm/index.ts:36

  #### Parameters

  - ##### wrapper: INode

  - ##### map: Map

  #### Returns void

### render

- render(className: string): HTMLElement

- Inherited from AbstractMap.render

  - Defined in lib/renderable/map/AbstractMap.ts:29

  #### Parameters

  - ##### className: string

  #### Returns HTMLElement

### resetAllMarkers

- resetAllMarkers(): void

- Overrides AbstractMap.resetAllMarkers

  - Defined in lib/renderable/map/osm/index.ts:117

  #### Returns void

### setLabel

- setLabel(text: string, wrapper: INode): void

- Inherited from AbstractMap.setLabel

  - Defined in lib/renderable/map/AbstractMap.ts:58

  #### Parameters

  - ##### text: string

  - ##### wrapper: INode

  #### Returns void

### setMarkersToValue

- setMarkersToValue(wrapper: INode): void

- Overrides AbstractMap.setMarkersToValue

  - Defined in lib/renderable/map/osm/index.ts:102

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### wrapper

- wrapper(className: string): INode

- Inherited from AbstractMap.wrapper

  - Defined in lib/renderable/map/AbstractMap.ts:66

  #### Parameters

  - ##### className: string

  #### Returns INode

### Static getMarkersFromSrc

- getMarkersFromSrc(src: string): Promise<any>

- Inherited from AbstractMap.getMarkersFromSrc

  - Defined in lib/renderable/map/AbstractMap.ts:64

  #### Parameters

  - ##### src: string

  #### Returns Promise<any>

Generated using TypeDoc